import { world } from "@minecraft/server";

world.beforeEvents.worldInitialize.subscribe(initEvent => {
    initEvent.blockComponentRegistry.registerCustomComponent('azonix:destroy_bounce_berry', {
        onStepOn: e => {
            const { block } = e;
            const { x, y, z } = block.location;

            if (block.typeId === 'azonix:bounce_berry') {
                block.dimension.runCommand(`summon azonix:bounce_berry.entity ${x} ${y - 1} ${z}`);
                block.dimension.runCommand(`fill ${x} ${y} ${z} ${x} ${y} ${z} azonix:bounce_flower destroy`);
            }
        }
    });
})