import { world } from '@minecraft/server'
import { fence_Manager } from 'fences/fence_Manager'
world.beforeEvents.worldInitialize.subscribe(initEvent => {
    initEvent.blockComponentRegistry.registerCustomComponent('azonix:fence', {
        onPlace: e => {
            const { block } = e;
            block.setPermutation(block.permutation.withState('azonix:placed_bit', true));
        }
    });
});
world.afterEvents.playerBreakBlock.subscribe((data) => {
    fence_Manager.updateFencesAround(data.block)
});
world.afterEvents.playerPlaceBlock.subscribe((data) => {
    fence_Manager.updateFencesAround(data.block)
});