import { world } from "@minecraft/server";

world.afterEvents.projectileHitEntity.subscribe((arg) => {
  const source = arg.source;
  const entity = arg.getEntityHit().entity;
  const victimBlock = entity.dimension.getBlock({
    x: entity.location.x,
    y: entity.location.y,
    z: entity.location.z
  });
  const victimBlockNorth = entity.dimension.getBlock({
    x: entity.location.x,
    y: entity.location.y,
    z: entity.location.z - 1
  });
  const victimBlockSouth = entity.dimension.getBlock({
    x: entity.location.x,
    y: entity.location.y,
    z: entity.location.z + 1
  });
  const victimBlockEast = entity.dimension.getBlock({
    x: entity.location.x + 1,
    y: entity.location.y,
    z: entity.location.z
  });
  const victimBlockWest = entity.dimension.getBlock({
    x: entity.location.x - 1,
    y: entity.location.y,
    z: entity.location.z
  });
  const fade_level = victimBlock.permutation.getState("azonix:fade_level");
  const projectileHitEntity = arg.projectile;
    if (projectileHitEntity.typeId !== 'azonix:spectral_ball') return;
    console.warn('onProjectileHit is working');
    if (victimBlock.type.id === 'azonix:spectral_goo_block' && fade_level == 0 && victimBlock.type.id !== 'minecraft:air')
    victimBlock.dimension.playSound('spread.sculk', source.location);
    victimBlock.setPermutation(victimBlock.permutation.withState('azonix:fade_level', 1));
    console.warn('setPermutation event was successful');
})