import { world, BlockPermutation } from "@minecraft/server"

world.afterEvents.playerBreakBlock.subscribe(e => {
    const {brokenBlockPermutation, block} = e;
    const above = e.block.above();
    const aboveOne = e.block.above(2);
    const below = e.block.below();

    if ((brokenBlockPermutation.type.id === 'azonix:jakra_vine_head' || brokenBlockPermutation.type.id === 'azonix:jakra_vine_body') && above.typeId === 'azonix:jakra_vine_body') {
        block.above().setType('azonix:jakra_vine_head');
    }
    if ((brokenBlockPermutation.type.id === 'azonix:engrove_clover' || brokenBlockPermutation.type.id === 'azonix:engrove_clover.fruit' || brokenBlockPermutation.type.id === 'azonix:engrove_clover.fruit_temp' || brokenBlockPermutation.type.id === 'azonix:engrove_vine_body') && below.typeId === 'azonix:engrove_vine_body') {
        block.below().setType('azonix:engrove_clover');
    }
    if ((brokenBlockPermutation.type.id === 'azonix:spectral_growth_head' || brokenBlockPermutation.type.id === 'azonix:spectral_growth_body') && below.type.id === 'azonix:spectral_growth_body') {
        block.below().setType('azonix:spectral_growth_head');
    }
    if (brokenBlockPermutation.type.id === 'azonix:bounce_flower' && above.type.id === 'azonix:bounce_vine_head' && aboveOne.type.id !== 'azonix:bounce_vine_body') {
        block.above().setType('minecraft:air');
    }
    if (brokenBlockPermutation.type.id === 'azonix:bounce_flower' && above.type.id === 'azonix:bounce_vine_head' && aboveOne.type.id === 'azonix:bounce_vine_body') {
        block.above().setType('minecraft:air');
        block.above(2).setType('azonix:bounce_vine_head');
    }
    if (brokenBlockPermutation.type.id === 'azonix:bounce_vine_head' && above.type.id === 'azonix:bounce_vine_body' && aboveOne.type.id !== 'azonix:bounce_vine_body') {
        block.above().setType('minecraft:air');
    }
    if (brokenBlockPermutation.type.id === 'azonix:bounce_vine_head' && above.type.id === 'azonix:bounce_vine_body' && aboveOne.type.id === 'azonix:bounce_vine_body') {
        block.above().setType('minecraft:air');
        block.above(2).setType('azonix:bounce_vine_head');
    }
    if (brokenBlockPermutation.type.id === 'azonix:bounce_vine_body' && above.type.id === 'azonix:bounce_vine_body' && aboveOne.type.id !== 'azonix:bounce_vine_body') {
        block.above().setType('minecraft:air');
    }
    if (brokenBlockPermutation.type.id === 'azonix:bounce_vine_body' && above.type.id === 'azonix:bounce_vine_body' && aboveOne.type.id === 'azonix:bounce_vine_body') {
        block.above().setType('minecraft:air');
        block.above(2).setType('azonix:bounce_vine_head');
    }
})
