import { world, BlockPermutation} from "@minecraft/server";

world.beforeEvents.worldInitialize.subscribe(initEvent => {
    initEvent.blockComponentRegistry.registerCustomComponent('azonix:fade', {
        onTick: e => {

            const { block } = e;
            const fade_level = block.permutation.getState("azonix:fade_level");

            if (e.block.typeId == "azonix:spectral_goo_block") {
                if (fade_level == 1) {
                    block.dimension.playSound('spread.sculk', block.location);             
                    block.setPermutation(block.permutation.withState('azonix:fade_level', 2));
                }
            }

            if (e.block.typeId == "azonix:spectral_goo_block") {
                if (fade_level == 2) {
                    block.dimension.playSound('spread.sculk', block.location);                  
                    block.setPermutation(block.permutation.withState('azonix:fade_level', 0));
                }
            }
        }
    });
})

