import { world, system } from "@minecraft/server";


world.afterEvents.itemCompleteUse.subscribe(use =>{
  try{
    let p = use.source;
    let item = use.itemStack;

    if(item.typeId == "azonix:bounce_berry.item"){
      p.runCommand(`/effect @s jump_boost 5 1`);
    }
    if(item.typeId == "azonix:blomp_goo"){
      p.runCommand(`effect @s bad_omen 0 1`);
      p.runCommand(`effect @s raid_omen 0 1`);
      p.runCommand(`effect @s trial_omen 0 1`);
      p.runCommand(`effect @s nausea 0 1`);
      p.runCommand(`effect @s levitation 0 1`);
      p.runCommand(`effect @s blindness 0 1`);
      p.runCommand(`effect @s darkness 0 1`);
      p.runCommand(`effect @s instant_damage 0 1`);
      p.runCommand(`effect @s oozing 0 1`);
      p.runCommand(`effect @s mining_fatigue 0 1`);
      p.runCommand(`effect @s slowness 0 1`);
      p.runCommand(`effect @s wither 0 1`);
      p.runCommand(`effect @s fatal_poison 0 1`);
      p.runCommand(`effect @s poison 0 1`);
      p.runCommand(`effect @s infested 0 1`);
      p.runCommand(`effect @s weakness 0 1`);
      p.runCommand(`effect @s weaving 0 1`);
      p.runCommand(`effect @s wind_charged 0 1`);
    }
    if(item.typeId == "azonix:engro_berry"){
      p.runCommand(`/tag @s add inmunity`);
      system.runTimeout(() => {
        p.runCommand(`/tag @s remove inmunity`);
      }, 1200);
    }

  }catch(e){

  }
})