import { world, system } from '@minecraft/server'
import { wall_Manager } from 'walls/wall_Manager'
world.beforeEvents.worldInitialize.subscribe(initEvent => {
    initEvent.blockComponentRegistry.registerCustomComponent('azonix:wall', {
        onPlace: e => {
            const { block } = e;
            block.setPermutation(block.permutation.withState('azonix:placed_bit', true));
        }
    });
});
world.afterEvents.playerBreakBlock.subscribe((data) => {
    wall_Manager.updateWallsAround(data.block)
})

world.afterEvents.playerPlaceBlock.subscribe((data) => {
    wall_Manager.updateWallsAround(data.block)
})